lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steven Rowe (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (LUCENE-3747) Support Unicode 6.1.0
Date Fri, 03 Feb 2012 19:49:53 GMT

    [ https://issues.apache.org/jira/browse/LUCENE-3747?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13199985#comment-13199985
] 

Steven Rowe commented on LUCENE-3747:
-------------------------------------

{quote}
bq. check for any uax#29 differences (i think we are unaffected)

Right, I'm not sure about this - I plan on upgrading the JFlex test cases that implement the
uax#29 rules and test against the data Unicode.org provides. I should know more once that's
done.
{quote}

I've finished adding Unicode 6.1 versions to JFlex's UAX#29 test cases, including the word
break rules test case, and the only change I noticed that could conceivably affect Lucene's
UAX#29 tokenizers is the new Section 8, which discusses Korean syllables.  Since the rules
listed in that section are not part of the word break rules, but rather are a tailoring, and
since that section says "All standard Korean syllable blocks used in modern Korean are of
the form <L V T> or <L V> and have equivalent, single-character precomposed forms.",
I don't think we need to support this (right now anyway).

(By contrast, the UAX#14 line break rules changed significantly between Unicode v6.0 and v6.1,
and I'm still working to include a Unicode 6.1 version to JFlex's corresponding test case.)
                
> Support Unicode 6.1.0
> ---------------------
>
>                 Key: LUCENE-3747
>                 URL: https://issues.apache.org/jira/browse/LUCENE-3747
>             Project: Lucene - Java
>          Issue Type: Improvement
>          Components: modules/analysis
>    Affects Versions: 3.5, 4.0
>            Reporter: Steven Rowe
>            Priority: Minor
>
> Now that Unicode 6.1.0 has been released, Lucene/Solr should support it.
> JFlex trunk now supports Unicode 6.1.0.
> Tasks include:
> * Upgrade ICU4J to v49 (after it's released, on 2012-03-21, according to http://icu-project.org).
> * Use {{icu}} module tools to regenerate the supplementary character additions to JFlex
grammars.
> * Version the JFlex grammars: copy the current implementations to {{*Impl3<X>}};
cause the versioning tokenizer wrappers to instantiate this version when the {{Version}} c-tor
param is in the range 3.1 to the version in which these changes are released (excluding the
range endpoints); then change the specified Unicode version in the non-versioned JFlex grammars
from 6.0 to 6.1.
> * Regenerate JFlex scanners, including {{StandardTokenizerImpl}}, {{UAX29URLEmailTokenizerImpl}},
and {{HTMLStripCharFilter}}.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message